STRLEN_USER(9)

NAME
strlen_user - Get the size of a string in user space.

SYNOPSIS

strlen_user (str);

ARGUMENTS

str The string to measure.

CONTEXT

User context only. This function may sleep.

DESCRIPTION

Get the size of a NUL-terminated string in user space.

Returns the size of the string INCLUDING the terminating NUL. On exception, returns 0.

If there is a limit on the length of a valid string, you may wish to consider using strnlen_user instead.